package rbprop;
import java.util.Locale;
import java.util.ResourceBundle;
import java.util.Set;
import java.util.ResourceBundle.Control;

public class RBPropDemo {
    public static void main(String[] args){

        // Removes all bundles from the cache
        ResourceBundle.clearCache();
        String bundleName = "rbprop.MyResources";

        // Create resource bundle 
        ResourceBundle myResources = ResourceBundle.getBundle(  
                bundleName, Locale.GERMAN);

        // Print the key's value 
        System.out.println("Key's values:");
        System.out.println(myResources.getString("okKey"));
        System.out.println(myResources.getString("cancelKey"));
        System.out.println(myResources.getString("submitKey"));

        System.out.println("\nChecking okKey in resource bundle:");
        if (myResources.containsKey("okKey")) {
            System.out.println("okKey exists! "
                + " Value = " + myResources.getString("okKey"));
        } else {
            System.out.println("The key Doesn't Exist"); 
        }

        // Returns all keys in this resource bundle and its parent bundles
        System.out.println("\nGet a set of keys:");
        Set<String> keySet = myResources.keySet();
        Object[] keys = keySet.toArray();
        for (int i = 0; i < keys.length; i++) {
            System.out.println("Key " + (i + 1) + " = " + keys[i]);
        }
    }
}
